Subject: Re: MUCH faster cygwin.dll was RE:Time and motion studies of gcc and egcs and LCC
From: [email-masked] (Mikey)

21 Feb 1998 11:29:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Geoffrey Noer <[email-masked]>, [email-masked]

You are correct.

win95b P100 24M mem
configure+make ...cdk/tar 
	                      cygwin.cool_reloc_dll 10m31s
		      cygwin.cool_stripped_dll 10m19s

Looks like I got excited over nothing :-(, the effect was
mostly from being able to configure/make the cdk for the first time
with coolview.dll, as a result of marking it as a dll.
Primarily just the faster file system access.

Looks like the only real solution is static binaries, 
at least for bash, the compiler suite and textutils.
and rewriting newlib/libc/string/ and the equivalent
libiberty functions in extern __inline__ x86 asm.

I guess I had better get to work on fork()

On Wed, 18 Feb 1998 14:34:11 -0800 (PST), you wrote:

>Mikey wrote:
>[...]
>> The speedup is from stripping the .reloc section.
>> rebasing has no (or at most very minimal) effect
>> on time spent in relocation processing.
>
>I performed the strip operation and configuring all of comp-tools
>with future b19 decreased only marginally -- from 22m05s to 21m58s.
>Not a huge gain...  :-(

wana trade machines?

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".